FROM terradue/l1-jpn-base:0.5

MAINTAINER Terradue S.r.l

USER ${NB_USER}

COPY --chown=${NB_USER}:${NB_GID} . ${HOME}

RUN ${CONDA_DIR}/bin/conda env create --file ${HOME}/.binder/environment.yml && ${CONDA_DIR}/bin/conda clean -a -y

RUN ${CONDA_DIR}/envs/env_snap/bin/python -m ipykernel install --name env_snap

ENV PREFIX ${CONDA_DIR}/envs/env_snap

RUN test -f ${HOME}/.binder/postBuild && chmod +x ${HOME}/.binder/postBuild && ${HOME}/.binder/postBuild || exit 0

WORKDIR ${HOME}
